LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Variables
AnimationNodeType.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::animations
| interfaces for SMIL animations.

## Constant Groups
constants | com::sun::star::animations::AnimationNodeType
| This constants defines a type for an animation node.

## Variables
const short | CUSTOM = 0
| Defines a custom time node. More...
const short | PAR = 1
| Defines a parallel time container. More...
const short | SEQ = 2
| Defines a sequence time container. More...
const short | ITERATE = 3
| Defines an iterate time container. More...
const short | ANIMATE = 4
| Defines a generic attribute animation. More...
const short | SET = 5
| Defines a simple mean of just setting the value of an attribute for a specified duration. More...
const short | ANIMATEMOTION = 6
| Defines a move animation along a path. More...
const short | ANIMATECOLOR = 7
| Defines an animation of a color attribute. More...
const short | ANIMATETRANSFORM = 8
| Defines an animation of a transformation attribute. More...
const short | TRANSITIONFILTER = 9
| Defines an animation of a filter behavior. More...
const short | AUDIO = 10
| Defines an audio effect. More...
const short | COMMAND = 11
| Defines a command effect. More...
const short | ANIMATEPHYSICS = 12
| Defines a physics animation. More...